tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Courtney" <Jcourt...@inphonic.com>
Subject RE: Could you give some help for me (about mod_jk for solaris 9)
Date Thu, 10 Jul 2003 06:32:53 GMT
This worked for me on Solaris 8 this evening:

Make sure you have properly compiled and installed Apache 2.x and Tomcat 4.1.24.  We'll call
these installation directories apache2.home and tomcat4.home.

Also make sure you have recent versions of m4, automake, and autoconf installed from www.sunfreeware.com.

Set the environment variable M4 to the location of your GNU m4 executable.

For example in bash: export M4=/usr/local/bin/m4

Download jakarta-tomcat-connectors-jk-1.2.4-src.tar.gz from
http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/release/v1.2.4/src/
and extract it to some directory, well call it jk.build.

cd ${jk.build}/jk/native

execute buildconf.sh

execute ./configure --with-apxs=${apache2.home}/bin/apxs

execute make

Locate mod_jk.so from the ${jk.build}/jk/native/apache-2.0 directory and copy it to your ${apache.home}/modules
directory.  Just add the line
LoadModule jk_module ${apache.home}/modules/mod_jk.so
to your ${apache.home}/httpd.conf file and follow the configuration instructions for httpd.conf
and workers.properties given at
http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/release/v1.2.4/doc/.

Good luck!

Jamey


-----Original Message-----
From: David Choi [mailto:trademark21@korea.com]
Sent: Wednesday, July 09, 2003 2:40 AM
To: tomcat-dev@jakarta.apache.org
Cc: jon@latchkey.com
Subject: Could you give some help for me (about mod_jk for solaris 9)


I have got your E-mai from some forum for tomcat
I am from south korea, and study about JSP and SUN OS.
First, Sorry for my poor english~

I am wondering where and how I can get the mod_jk.so (the
apache module) for connecting tomcat with apache
before, I found jakarta project FTP site but there was not
module(mod_jk.so) for solaris 9(some module for solaris 8 had some
error)

So many time I tried to make mod_jk.so from source file
(jakarta_tomcat_connector 4.1.24) but I couldn't 


Actually, I would like to connect tomcat 4.1.24 with apache 2.X on the
solaris 9 platform. 

Please help me now~

Thanks for your time and efforts~

>From YH.Choi
South Korea 



Wishing you all the success in this business, we hope our transaction
makes much better world than before. 

We thank you for your time and efforts
Warm regards,

David Choi
Marketing Manager
SP KOREA Co.,LTD (Tel 82-53-588-0318, Cel 82-16-9775-3900, Fax
82-53-588-0319)
http://www.sp-korea.com <http://www.sp-korea.com> 
http://www.kacci.net






 <http://www.korea.com>
<http://movie.korea.com/koreamovie/result.asp?genre=1&m_id=5725>

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message